Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.service
Class Line

    java.lang.Object
      com.bea.commerce.ebusiness.price.service.Line

All Implemented Interfaces
  Serializable

Deprecated

    @Deprecated
    public class Line

extends Object
implements Serializable

This class represents some quantity of a ProductItem. Instances of the class are used as input to the Price service. Each Line item may be adorned with a List of DiscountPresentation objects corresponding to adjustments applied to the price of the Line.

See Also
  `PriceService`, `PricingReply`, `PricingRequest`, `PricingRequestImpl`, `DiscountPresentation`, `ProductItem`, Serialized Form

Constructor Summary
`Line(ProductItem item, double quantity)` Deprecated Constructs a new Line with the speicified quantity and ProductItem.

Method Summary
`List` | `getDiscountDescriptions()` Deprecated Retrieves a List of DiscountPresentation objects corresponding to price adjustments applied to the Line.
`ProductItem` | `getProductItem()` Deprecated Retrieves the ProductItem for the Line.
`double` | `getQuantity()` Deprecated Retrieves the quantity for the Line.
`Money` | `getTotal()` Deprecated Retrieves the total price for the Line.
`void` | `set(ProductItem item, double quantity)` Deprecated Intializes the Line with specified values.
`void` | `setDiscountDescriptions(List descriptions)` Deprecated Sets the List of DiscountPresentation objects for the Line.
`void` | `setProductItem(ProductItem item)` Deprecated Sets the ProductItem for the Line.
`void` | `setQuantity(double quantity)` Deprecated Sets the quantity for the Line.
`void` | `setTotal(Money lineTotal)` Deprecated Sets the total price for the Line.
`String` | `toString()` Deprecated Produces a string representing the data values for this Line.
`static String` | `toString(Line[] lines)` Deprecated Produces a string representation of an array of Line items.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Line

    public Line(ProductItem item,
                double quantity)

  Deprecated
  Constructs a new Line with the speicified quantity and ProductItem.

  Parameters
    `item` - the ProductItem for the Line.
    `quantity` - the quantity of the ProductItem.
  See Also
    `ProductItem`

Method Detail

### set

    public void set(ProductItem item,
                    double quantity)

  Deprecated
  Intializes the Line with specified values.

  Parameters
    `item` - the ProductItem for the Line.
    `quantity` - the quantity of the ProductItem.
  See Also
    `ProductItem`

### getProductItem

    public ProductItem getProductItem()

  Deprecated
  Retrieves the ProductItem for the Line.

  See Also
    `ProductItem`

### setProductItem

    public void setProductItem(ProductItem item)

  Deprecated
  Sets the ProductItem for the Line.

  See Also
    `ProductItem`

### getQuantity

    public double getQuantity()

  Deprecated
  Retrieves the quantity for the Line.

### setQuantity

    public void setQuantity(double quantity)

  Deprecated
  Sets the quantity for the Line.

### getTotal

    public Money getTotal()

  Deprecated
  Retrieves the total price for the Line.

### setTotal

    public void setTotal(Money lineTotal)

  Deprecated
  Sets the total price for the Line.

### getDiscountDescriptions

    public List getDiscountDescriptions()

  Deprecated
  Retrieves a List of DiscountPresentation objects corresponding to price adjustments applied to the Line.

  Returns
    List of DiscountPresentation objects or null.
  See Also
    `DiscountPresentation`

### setDiscountDescriptions

    public void setDiscountDescriptions(List descriptions)

  Deprecated
  Sets the List of DiscountPresentation objects for the Line.

  Parameters
    `descriptions` - a List of DiscountPresentation objects
  See Also
    `DiscountPresentation`

### toString

    public String toString()

  Deprecated
  Produces a string representing the data values for this Line. This method is intended for debugging purposes and may change at anytime.

  Overrides:
    `toString` in class `Object`

### toString

    public static String toString(Line[] lines)

  Deprecated
  Produces a string representation of an array of Line items. The string is produced by concatenating the results of the toString() method for each Line in the array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.